Package weka.core.pmml.jaxbbindings

# Class TimeException

java.lang.Object
weka.core.pmml.jaxbbindings.TimeException

public class TimeException extends Object

Java class for TimeException element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="TimeException">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://www.dmg.org/PMML-4_1}INT-ARRAY"/>
             </sequence>
             <attribute name="count" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
             <attribute name="type" type="{http://www.dmg.org/PMML-4_1}TIME-EXCEPTION-TYPE" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimeException()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ArrayType`
  `getArray()`
  Gets the value of the array property.
  `BigInteger`
  `getCount()`
  Gets the value of the count property.
  `TIMEEXCEPTIONTYPE`
  `getType()`
  Gets the value of the type property.
  `void`
  `setArray(ArrayType value)`
  Sets the value of the array property.
  `void`
  `setCount(BigInteger value)`
  Sets the value of the count property.
  `void`
  `setType(TIMEEXCEPTIONTYPE value)`
  Sets the value of the type property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimeException

    public TimeException()

- ## Method Details

  - ### getArray

    public ArrayType getArray()
    Gets the value of the array property.
    Returns:
      possible object is `ArrayType`

  - ### setArray

    public void setArray(ArrayType value)
    Sets the value of the array property.
    Parameters:
      `value` - allowed object is `ArrayType`

  - ### getCount

    public BigInteger getCount()
    Gets the value of the count property.
    Returns:
      possible object is `BigInteger`

  - ### setCount

    public void setCount(BigInteger value)
    Sets the value of the count property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getType

    public TIMEEXCEPTIONTYPE getType()
    Gets the value of the type property.
    Returns:
      possible object is `TIMEEXCEPTIONTYPE`

  - ### setType

    public void setType(TIMEEXCEPTIONTYPE value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `TIMEEXCEPTIONTYPE`